Page MenuHomePhabricator

Save label of edited property in bridge store
Closed, ResolvedPublic

Description

Can be partially copied from termbox. Requires T231467: Enable store to contain several entities to be done first.

Details

Related Gerrit Patches:
mediawiki/extensions/Wikibase : masterbridge: save label in store
mediawiki/extensions/Wikibase : masterbridge: Introduce EntityLabelRepo to services

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 28 2019, 3:33 PM

I do not think entity should call for the label. It should be done in Application.

Pablo-WMDE renamed this task from Save label of edited property in store to Save label of edited property in bridge store.Sep 9 2019, 10:55 AM
Pablo-WMDE updated the task description. (Show Details)

During a post-daily discussion regarding this task we, partially reverting the idea from task break-down, decided against making the property label part of the entity store. Reason is that it creates challenges (having a partial fingerprintable entity in a store with a label the value of which is not necessarily as stored in the backend bug rather a result of the language fallback chain...).
This makes T231467: Enable store to contain several entities obsolete.

Pablo-WMDE updated the task description. (Show Details)Sep 9 2019, 10:59 AM

Change 535562 had a related patch set uploaded (by Matthias Geisler; owner: Matthias Geisler):
[mediawiki/extensions/Wikibase@master] bridge: Introduce EntityLabelRepo to services

https://gerrit.wikimedia.org/r/535562

Change 535568 had a related patch set uploaded (by Matthias Geisler; owner: Matthias Geisler):
[mediawiki/extensions/Wikibase@master] bridge: save label in store

https://gerrit.wikimedia.org/r/535568

Change 535562 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] bridge: Introduce EntityLabelRepo to services

https://gerrit.wikimedia.org/r/535562

Change 535568 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] bridge: save label in store

https://gerrit.wikimedia.org/r/535568

Lucas_Werkmeister_WMDE closed this task as Resolved.Sep 11 2019, 3:08 PM
Lucas_Werkmeister_WMDE moved this task from Peer Review to Done on the Wikidata-Bridge-Sprint-5 board.